"use strict";
const common_vendor = require("../../../common/vendor.js");
const ME_emergency_change_model = require("./model.js");
const ME_emergency_change_method = require("./method.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../gen/Apis.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/apiLoading.js");
require("../../../common/libraries/day.js");
require("../../../common/libraries/naviHelper.js");
if (!Array) {
  const _easycom_hs_cell2 = common_vendor.resolveComponent("hs-cell");
  const _easycom_hs_input2 = common_vendor.resolveComponent("hs-input");
  const _easycom_hs_radio_picker_categories_tree2 = common_vendor.resolveComponent("hs-radio-picker-categories-tree");
  const _easycom_hs_radio_picker_levels2 = common_vendor.resolveComponent("hs-radio-picker-levels");
  const _easycom_hs_date_picker2 = common_vendor.resolveComponent("hs-date-picker");
  const _easycom_hs_cell_textarea2 = common_vendor.resolveComponent("hs-cell-textarea");
  const _easycom_hs_upload2 = common_vendor.resolveComponent("hs-upload");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_hs_cell2 + _easycom_hs_input2 + _easycom_hs_radio_picker_categories_tree2 + _easycom_hs_radio_picker_levels2 + _easycom_hs_date_picker2 + _easycom_hs_cell_textarea2 + _easycom_hs_upload2 + _easycom_hs_footer2)();
}
const _easycom_hs_cell = () => "../../../components/hs-cell/hs-cell.js";
const _easycom_hs_input = () => "../../../components/hs-input/hs-input.js";
const _easycom_hs_radio_picker_categories_tree = () => "../../../components/hs-radio-picker-categories-tree/hs-radio-picker-categories-tree.js";
const _easycom_hs_radio_picker_levels = () => "../../../components/hs-radio-picker-levels/hs-radio-picker-levels.js";
const _easycom_hs_date_picker = () => "../../../components/hs-date-picker/hs-date-picker.js";
const _easycom_hs_cell_textarea = () => "../../../components/hs-cell-textarea/hs-cell-textarea.js";
const _easycom_hs_upload = () => "../../../components/hs-upload/hs-upload.js";
const _easycom_hs_footer = () => "../../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_hs_cell + _easycom_hs_input + _easycom_hs_radio_picker_categories_tree + _easycom_hs_radio_picker_levels + _easycom_hs_date_picker + _easycom_hs_cell_textarea + _easycom_hs_upload + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((e) => {
      var _a;
      ME_emergency_change_model.useModel.formData.value = { id: e == null ? void 0 : e.id };
      (_a = ME_emergency_change_method.method) == null ? void 0 : _a.getShow();
    });
    common_vendor.onShow(() => {
      var _a;
      (_a = ME_emergency_change_method.method) == null ? void 0 : _a.init();
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m;
      return {
        a: common_vendor.p({
          title: "选择项目",
          required: true,
          borderTop: true,
          isLink: true,
          value: (_c = (_b = (_a = common_vendor.unref(ME_emergency_change_model.useModel)) == null ? void 0 : _a.formData) == null ? void 0 : _b.value) == null ? void 0 : _c.project_name,
          isPlaceholder: "请选择项目",
          url: "/pages/public/select_project/index?source=emergency_add"
        }),
        b: common_vendor.o(($event) => common_vendor.unref(ME_emergency_change_model.useModel).formData.value.name = $event),
        c: common_vendor.p({
          maxLength: "11",
          textAlign: "right",
          valueModel: common_vendor.unref(ME_emergency_change_model.useModel).formData.value.name
        }),
        d: common_vendor.p({
          title: "事件名称",
          required: true,
          borderTop: true
        }),
        e: common_vendor.o(($event) => common_vendor.unref(ME_emergency_change_model.useModel).formData.value.two_emergency_categories_id = $event),
        f: common_vendor.p({
          title: "事件分类",
          required: true,
          borderTop: true,
          defaultValue: `${(_f = (_e = (_d = common_vendor.unref(ME_emergency_change_model.useModel)) == null ? void 0 : _d.formData) == null ? void 0 : _e.value) == null ? void 0 : _f.one_emergency_categories_name}/${(_i = (_h = (_g = common_vendor.unref(ME_emergency_change_model.useModel)) == null ? void 0 : _g.formData) == null ? void 0 : _h.value) == null ? void 0 : _i.two_emergency_categories_name}`,
          valueModel: common_vendor.unref(ME_emergency_change_model.useModel).formData.value.two_emergency_categories_id
        }),
        g: common_vendor.o(($event) => common_vendor.unref(ME_emergency_change_model.useModel).formData.value.emergency_event_levels_id = $event),
        h: common_vendor.p({
          title: "事件等级",
          required: true,
          borderTop: true,
          defaultValue: (_l = (_k = (_j = common_vendor.unref(ME_emergency_change_model.useModel)) == null ? void 0 : _j.formData) == null ? void 0 : _k.value) == null ? void 0 : _l.emergency_event_levels_name,
          valueModel: common_vendor.unref(ME_emergency_change_model.useModel).formData.value.emergency_event_levels_id
        }),
        i: common_vendor.o(($event) => common_vendor.unref(ME_emergency_change_model.useModel).formData.value.emergency_time = $event),
        j: common_vendor.p({
          title: "发生时间",
          required: true,
          borderTop: true,
          valueModel: common_vendor.unref(ME_emergency_change_model.useModel).formData.value.emergency_time
        }),
        k: common_vendor.o(($event) => common_vendor.unref(ME_emergency_change_model.useModel).formData.value.emergency_location = $event),
        l: common_vendor.p({
          required: true,
          title: "事发地点",
          placeholder: "请详细描述问题情况，包括具体位置现象等",
          valueModel: common_vendor.unref(ME_emergency_change_model.useModel).formData.value.emergency_location
        }),
        m: common_vendor.o(($event) => common_vendor.unref(ME_emergency_change_model.useModel).formData.value.emergency_description = $event),
        n: common_vendor.p({
          required: true,
          title: "事件描述",
          placeholder: "请详细描述问题情况，包括具体位置现象等",
          valueModel: common_vendor.unref(ME_emergency_change_model.useModel).formData.value.emergency_description
        }),
        o: common_vendor.o(($event) => common_vendor.unref(ME_emergency_change_model.useModel).formData.value.emergency_cause = $event),
        p: common_vendor.p({
          required: true,
          title: "发生原因",
          placeholder: "请详细描述问题情况，包括具体位置现象等",
          valueModel: common_vendor.unref(ME_emergency_change_model.useModel).formData.value.emergency_cause
        }),
        q: common_vendor.o(($event) => common_vendor.unref(ME_emergency_change_model.useModel).formData.value.cause_result = $event),
        r: common_vendor.p({
          required: true,
          title: "造成结果",
          placeholder: "请详细描述问题情况，包括具体位置现象等",
          valueModel: common_vendor.unref(ME_emergency_change_model.useModel).formData.value.cause_result
        }),
        s: common_vendor.o(($event) => common_vendor.unref(ME_emergency_change_model.useModel).formData.value.emergency_images = $event),
        t: common_vendor.p({
          title: "事件相关图片",
          count: 10,
          borderTop: true,
          valueModel: common_vendor.unref(ME_emergency_change_model.useModel).formData.value.emergency_images
        }),
        v: common_vendor.o(($event) => common_vendor.unref(ME_emergency_change_model.useModel).formData.value.related_person = $event),
        w: common_vendor.p({
          title: "相关人物",
          placeholder: "请详细描述问题情况，包括具体位置现象等",
          valueModel: common_vendor.unref(ME_emergency_change_model.useModel).formData.value.related_person
        }),
        x: common_vendor.o(($event) => common_vendor.unref(ME_emergency_change_model.useModel).formData.value.supplement = $event),
        y: common_vendor.p({
          title: "补充信息",
          placeholder: "请详细描述问题情况，包括具体位置现象等",
          valueModel: common_vendor.unref(ME_emergency_change_model.useModel).formData.value.supplement
        }),
        z: common_vendor.o((_m = common_vendor.unref(ME_emergency_change_method.method)) == null ? void 0 : _m.handleSubmit),
        A: common_vendor.p({
          btnParimaryName: "提交"
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/ME/emergency/change/index.vue"]]);
wx.createPage(MiniProgramPage);
